Support » Fixing WordPress » Default 2015 Theme, No Plugins Activated, Fresh WP Install -Headers Already Sent

  • Hi

    I’m getting 2 errors whenever I do anything on the site (e.g. edit page, activate a plugin, etc)
    Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /public_html/wp-includes/wp-db.php on line 1482

    Warning: Cannot modify header information – headers already sent by (output started at /public_html/wp-includes/wp-db.php:1482) in /public_html/wp-includes/pluggable.php on line 1207

    What I’ve Done:
    1) De-activated ALL plugins. Renamed folder to ‘plugins1’
    2) Activated Default 2015 Theme.
    3) Re-installed the latest WP.
    4) Used WP-Config-Sample and updated with my DB details and new SALT keys.

    Still I get these 2 errors.

    Is there anything else I can try?

    Any help or pointing me in the right direction will be appreciated!

Viewing 6 replies - 1 through 6 (of 6 total)
  • What WP version are you using? The error says there is some deprecated functions used in the theme. Also if there is older version plugins then this sort of error occurs. Thanks!

    I’m using the latest wordpress.

    As I said, it was throwing the errors with the 2015 default theme and all plugins off.

    So not sure what’s causing it.

    Headers already sent error are caused by multiple reasons. Sometimes we leave blank lines at the bottom at the main files even function file of our theme. Please verify it.
    For first error that says ‘Deprecated’, i think you are not using latest version of php. And that function has been deprecated on the latest version.

    Hope that helps!

    Hi

    I’m using: PHP Version 5.5.30
    I’m using the default 2015 theme with no mods, installed straight from wordpress.org and unzipped onto my server.

    So I’m assuming it’s the wordpress.org file has an error in it.

    Hello @lab41, Current Stable PHP version is 5.6.15. You can trying upgrading your PHP version & see if the ‘deprecated’ error is gone. The ‘headers already sent’ might have occured due to the ‘deprecated’ error reason. Strange error though.

    Thanks. I’ll try that.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Default 2015 Theme, No Plugins Activated, Fresh WP Install -Headers Already Sent’ is closed to new replies.